<!doctype html>
<html lang="pt" xmlns:th="http://thymeleaf.org" xmlns:sec="http://thymeleaf.org/thymeleaf-extras-springsecurity5">
    <head>
        <meta charset="UTF-8">
        <meta content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0" name="viewport">
        <meta content="ie=edge" http-equiv="X-UA-Compatible">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
        <title>Spring, thymeleaf and Bootstrap Blog</title>
    </head>
    <body>

        <header>
            <nav class="navbar navbar-light bg-light">
                <span class="navbar-brand mb-0 h1" style="font-weight: bold">Spring and Bootstrap Blog</span>
                <a sec:authorize="isAuthenticated()" href="/newPost" class="btn btn-primary" role="button">New Post</a>
                <a sec:authorize="not isAuthenticated()" href="/login" class="btn btn-primary" role="button">Login</a>
            </nav>
        </header>

        <main>
            <section>
                <div class="container" style="width: 60%; padding-bottom: 2rem">

                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb" style="background-color: white; padding-left: 0">
                            <li class="breadcrumb-item active" aria-current="page">Posts</li>
                        </ol>
                    </nav>

                    <div class="card shadow-sm bg-white rounded" style="margin-top: 1.5rem" th:each="post : ${posts}">
                        <div class="card-body">
                            <p class="card-subtitle mb-2 text-muted" style="font-size: 0.8rem">
                                <span th:text="${post.author}" />
                                <span th:text="${post.date}" />
                            </p>
                            <a th:href="${(#mvc.url('BC#getPost').arg(0, post.id)).build()}"><h4 class="card-title" style="font-weight: bold; color: black; padding-top: 0.3rem">
                                <span th:text="${post.title}" />
                            </h4></a>
                            <p class="card-text">
                                <span th:utext="${#strings.abbreviate(post.text, 10)}"/>
                            </p>
                        </div>
                    </div>
                </div>
            </section>
        </main>

        <footer>

        </footer>

    </body>
</html>